ApiReplicationDiagnosticsCollectionArgs (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiReplicationDiagnosticsCollectionArgs

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiReplicationDiagnosticsCollectionArgs

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiReplicationDiagnosticsCollectionArgs
      extends Object

  Optional arguments for diagnostics collection.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiReplicationDiagnosticsCollectionArgs()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiReplicationDiagnosticsCollectionArgs` | `commands(ApiCommandList commands)`
    `ApiReplicationDiagnosticsCollectionArgs` | `comments(String comments)`
    `boolean` | `equals(Object o)`
    `ApiCommandList` | `getCommands()` Commands to limit diagnostics to.
    `String` | `getComments()` Additional comments for the bundle.
    `Boolean` | `getPhoneHome()` Whether the diagnostics bundle must be uploaded to Cloudera.
    `String` | `getTicketNumber()` Ticket number to which this bundle must be associated with.
    `int` | `hashCode()`
    `ApiReplicationDiagnosticsCollectionArgs` | `phoneHome(Boolean phoneHome)`
    `void` | `setCommands(ApiCommandList commands)`
    `void` | `setComments(String comments)`
    `void` | `setPhoneHome(Boolean phoneHome)`
    `void` | `setTicketNumber(String ticketNumber)`
    `ApiReplicationDiagnosticsCollectionArgs` | `ticketNumber(String ticketNumber)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiReplicationDiagnosticsCollectionArgs

          public ApiReplicationDiagnosticsCollectionArgs()

  - ### Method Detail

    - #### commands

          public ApiReplicationDiagnosticsCollectionArgs commands(ApiCommandList commands)

    - #### getCommands

          public ApiCommandList getCommands()

      Commands to limit diagnostics to. By default, the most recent 10 commands on the schedule will be used.
      Returns:
        commands

    - #### setCommands

          public void setCommands(ApiCommandList commands)

    - #### ticketNumber

          public ApiReplicationDiagnosticsCollectionArgs ticketNumber(String ticketNumber)

    - #### getTicketNumber

          public String getTicketNumber()

      Ticket number to which this bundle must be associated with.
      Returns:
        ticketNumber

    - #### setTicketNumber

          public void setTicketNumber(String ticketNumber)

    - #### comments

          public ApiReplicationDiagnosticsCollectionArgs comments(String comments)

    - #### getComments

          public String getComments()

      Additional comments for the bundle.
      Returns:
        comments

    - #### setComments

          public void setComments(String comments)

    - #### phoneHome

          public ApiReplicationDiagnosticsCollectionArgs phoneHome(Boolean phoneHome)

    - #### getPhoneHome

          public Boolean getPhoneHome()

      Whether the diagnostics bundle must be uploaded to Cloudera.
      Returns:
        phoneHome

    - #### setPhoneHome

          public void setPhoneHome(Boolean phoneHome)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.